<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.remote-cache-container.component.connection-pool">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="exhausted-action,max-active,max-wait,min-evictable-idle-time,min-idle"/>
        <elem name="addr-params" value="profile,subsystem,remote-cache-container,component"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.remote-cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="min-idle" nillable="true"/>
        <param name="component" feature-id="true" default="connection-pool"/>
        <param name="min-evictable-idle-time" nillable="true"/>
        <param name="max-active" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="exhausted-action" nillable="true"/>
        <param name="max-wait" nillable="true"/>
        <param name="remote-cache-container" feature-id="true"/>
    </params>
</feature-spec>